> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corbado.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get well knownassetlinksjson

> Provides asset links for android devices



## OpenAPI

````yaml https://frontendapi.cloud.corbado.io/v2/openapi.yaml get /.well-known/assetlinks.json
openapi: 3.0.3
info:
  version: 2.0.4
  title: Corbado Frontend API
  description: >-
    Overview of all Corbado Frontend API calls to implement passwordless
    authentication.
  contact:
    name: Corbado team
    email: support@corbado.com
    url: https://www.corbado.com
servers:
  - url: https://{projectId}.frontendapi.corbado.io
    variables:
      projectId:
        description: Your Corbado project ID
        default: pro-000000
security:
  - bearerAuth: []
  - projectID: []
tags:
  - name: Auth
    description: All API calls that are related to an authentication process.
  - name: Configs
    description: All API calls to manage configurations
  - name: Users
    description: All API calls to manage users
  - name: CorbadoConnect
    description: All API calls that are related to a connect process
  - name: OIDC
    description: All API calls that are related to OpenID Connect
  - name: WellKnown
    description: All API calls that are related to WellKnown assets
paths:
  /.well-known/assetlinks.json:
    get:
      tags:
        - WellKnown
      description: Provides asset links for android devices
      operationId: AssetLinks
      responses:
        '200':
          description: Provides a list of assets links
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/assetLinksRsp'
        default:
          $ref: '#/components/responses/error'
components:
  schemas:
    assetLinksRsp:
      type: array
      items:
        $ref: '#/components/schemas/assetLink'
    assetLink:
      type: object
      required:
        - relation
        - target
      properties:
        relation:
          type: array
          items:
            type: string
        target:
          $ref: '#/components/schemas/assetLinkTarget'
    assetLinkTarget:
      type: object
      required:
        - namespace
      properties:
        namespace:
          type: string
        package_name:
          type: string
        site:
          type: string
        sha256_cert_fingerprints:
          type: array
          items:
            type: string
  responses:
    error:
      description: Error
      content:
        application/json:
          schema:
            allOf:
              - type: object
                required:
                  - httpStatusCode
                  - message
                  - requestData
                  - runtime
                properties:
                  httpStatusCode:
                    description: HTTP status code of operation
                    type: integer
                    format: int32
                  message:
                    type: string
                    example: OK
                  requestData:
                    description: Data about the request itself, can be used for debugging
                    type: object
                    required:
                      - requestID
                    properties:
                      requestID:
                        description: >-
                          Unique ID of request, you can provide your own while
                          making the request, if not the ID will be randomly
                          generated on server side
                        type: string
                        example: req-557...663
                      link:
                        description: Link to dashboard with details about request
                        type: string
                        example: >-
                          https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx
                  runtime:
                    description: Runtime in seconds for this request
                    type: number
                    format: float
                    example: 0.06167686
              - type: object
                required:
                  - error
                properties:
                  data:
                    type: object
                  error:
                    type: object
                    required:
                      - type
                    properties:
                      type:
                        description: Type of error
                        type: string
                      details:
                        description: Details of error
                        type: string
                      validation:
                        description: Validation errors per field
                        type: array
                        items:
                          type: object
                          required:
                            - field
                            - message
                          properties:
                            field:
                              type: string
                            message:
                              type: string
                      links:
                        description: Additional links to help understand the error
                        type: array
                        items:
                          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        After a user logs in successfully, a session is created and a JWT token
        is returned.

        This token represents the user's authenticated session.

        It must be included in the `Authorization` header as a Bearer token for
        all protected endpoints:


        `Authorization: Bearer <your-token>`


        The server will validate this token to authorize access.
    projectID:
      type: apiKey
      in: header
      name: X-Corbado-ProjectID
      description: |
        Identifies your project context for Corbado.
        Include this in the request headers as:

        `X-Corbado-ProjectID: <your-project-id>`

````